Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.multipart.commons
Class CommonsFileUploadSupport.MultipartParsingResult

    java.lang.Object
      org.springframework.web.multipart.commons.CommonsFileUploadSupport.MultipartParsingResult

Enclosing class:
  CommonsFileUploadSupport

    protected static class CommonsFileUploadSupport.MultipartParsingResult

extends Object

Holder for a Map of Spring MultipartFiles and a Map of multipart parameters.

Constructor Summary
`CommonsFileUploadSupport.MultipartParsingResult(Map multipartFiles, Map multipartParameters)` Create a new MultipartParsingResult.

Method Summary
`Map` | `getMultipartFiles()` Return the multipart files as Map of field name to MultipartFile instance.
`Map` | `getMultipartParameters()` Return the multipart parameters as Map of field name to form field String value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonsFileUploadSupport.MultipartParsingResult

    public CommonsFileUploadSupport.MultipartParsingResult(Map multipartFiles,
                                                           Map multipartParameters)

  Create a new MultipartParsingResult.

  Parameters:
    `multipartFiles` - Map of field name to MultipartFile instance
    `multipartParameters` - Map of field name to form field String value

Method Detail

### getMultipartFiles

    public Map getMultipartFiles()

  Return the multipart files as Map of field name to MultipartFile instance.

### getMultipartParameters

    public Map getMultipartParameters()

  Return the multipart parameters as Map of field name to form field String value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.